plugin.tx_imiapageteaser {
    flexforms {
        templates {
            default {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_template_path_default
                value = EXT:imia_pageteaser/Resources/Private/Templates/Default/
            }
            news {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_template_path_news
                value = EXT:imia_pageteaser/Resources/Private/Templates/News/
            }
            products {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_template_path_products
                value = EXT:imia_pageteaser/Resources/Private/Templates/Products/
            }
            galleries {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_template_path_galleries
                value = EXT:imia_pageteaser/Resources/Private/Templates/Galleries/
            }
        }
        sortings {
            sorting {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_sorting_sorting
                value = sorting
            }
            title {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_sorting_title
                value = title
            }
            lastUpdated {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_sorting_lastUpdated
                value = lastUpdated
            }
            crdate {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_sorting_crdate
                value = crdate
            }
            selected {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_sorting_selected
                value = selected
            }
        }
        doktypes {
            default {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_doktypes_default
                icon = EXT:imia_pageteaser/Resources/Public/Images/Icons/PageDoktypeDefault.png
                value = 1
            }
            news {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_doktypes_news
                icon = EXT:imia_pageteaser/Resources/Public/Images/Icons/PageDoktypeNews.png
                value = 100
            }
            gallery {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_doktypes_gallery
                icon = EXT:imia_pageteaser/Resources/Public/Images/Icons/PageDoktypeGallery.png
                value = 110
            }
            product {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_doktypes_product
                icon = EXT:imia_pageteaser/Resources/Public/Images/Icons/PageDoktypeProduct.png
                value = 120
            }
            event {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_doktypes_event
                icon = EXT:imia_pageteaser/Resources/Public/Images/Icons/PageDoktypeEvent.png
                value = 130
            }
            article {
                label.data = LLL:EXT:imia_pageteaser/Resources/Private/Language/Flexform.xlf:teaser_doktypes_article
                icon = EXT:imia_pageteaser/Resources/Public/Images/Icons/PageDoktypeArticle.png
                value = 140
            }
        }
    }

    view {
        templateRootPath = EXT:imia_pageteaser/Resources/Private/Templates/Default/
        partialRootPaths.100 = EXT:imia_pageteaser/Resources/Private/Partials/
        layoutRootPaths.100 = EXT:imia_pageteaser/Resources/Private/Layouts/
    }
}

lib.teaserImage = FILES
lib.teaserImage {
    references {
        table = pages
        uid.field = uid
        fieldName = teaser_image
    }
    renderObj = IMG_RESOURCE
    renderObj {
        file {
        import.data = file:current:uid
            treatIdAsReference = 1
            maxWidth = 500
            maxHeight = 500
        }
    }
}

imia.base {
    metatags {
        40 = COA
        40 {
            10 < lib.teaserImage
            wrap = <meta property="og:image" content="{$config.baseUrlProtocol}{$config.canonicalUrl}/|">
            required = 1
            if.isTrue.cObject < lib.teaserImage
        }
    }
}

## Libs
<INCLUDE_TYPOSCRIPT: source="FILE:EXT:imia_pageteaser/Configuration/TypoScript/lib/lib.math.ts">
<INCLUDE_TYPOSCRIPT: source="FILE:EXT:imia_pageteaser/Configuration/TypoScript/lib/lib.navigation.ts">